LibreOffice LibreOffice 6.1 SDK API Reference

Public Member Functions | List of all members
XIeeeFloatBitmap Interface Reference

Specialized interface for bitmaps containing IEEE floats as their color components. More...

`import"XIeeeFloatBitmap.idl";`

Inheritance diagram for XIeeeFloatBitmap:

## Public Member Functions
void | setData ([in] sequence< float > data, [in] FloatingPointBitmapLayout bitmapLayout, [in] ::com::sun::star::geometry::IntegerRectangle2D rect) raises (com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IndexOutOfBoundsException)
| Set raw data of a bitmap. More...
void | setPixel ([in] sequence< float > color, [in] FloatingPointBitmapLayout bitmapLayout, [in] ::com::sun::star::geometry::IntegerPoint2D pos) raises (com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IndexOutOfBoundsException)
| Set a single pixel of the bitmap with the given color value. More...
Public Member Functions inherited from XIeeeFloatReadOnlyBitmap
sequence< float > | getData ([out] FloatingPointBitmapLayout bitmapLayout, [in] ::com::sun::star::geometry::IntegerRectangle2D rect) raises (com::sun::star::lang::IndexOutOfBoundsException, VolatileContentDestroyedException)
| Query the raw data of this bitmap. More...
sequence< float > | getPixel ([out] FloatingPointBitmapLayout bitmapLayout, [in] ::com::sun::star::geometry::IntegerPoint2D pos) raises (com::sun::star::lang::IndexOutOfBoundsException, VolatileContentDestroyedException)
| Get a single pixel of the bitmap, returning its color value. More...
FloatingPointBitmapLayout | getMemoryLayout ()
| Query the memory layout for this bitmap. More...
Public Member Functions inherited from XBitmap
::com::sun::star::geometry::IntegerSize2D | getSize ()
| Query the size of the bitmap. More...
boolean | hasAlpha ()
| Query transparency status of the bitmap. More...
XBitmap | getScaledBitmap ([in] ::com::sun::star::geometry::RealSize2D newSize, [in] boolean beFast) raises (com::sun::star::lang::IllegalArgumentException, VolatileContentDestroyedException)
| Query a scaled copy of the original bitmap. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Specialized interface for bitmaps containing IEEE floats as their color components.

## Member Function Documentation

## ◆ setData()

void setData | ( | [in] sequence< float > | data,
|  | [in] FloatingPointBitmapLayout | bitmapLayout,
|  | [in] ::com::sun::star::geometry::IntegerRectangle2D | rect
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

Set raw data of a bitmap.

Set raw data of a bitmap, in the format as defined by getMemoryLayout(). With the given rectangle, a subset of the bitmap can be changed. When setting subsets of the bitmap, the same scanline padding takes place as when the whole bitmap is changed.

When setting data on volatile bitmaps, always call isValid() before, and retrieve a new memory layout via getMemoryLayout(). At least under Windows, the memory layout can change for the same bitmap, if the user e.g. switches the screen resolution. Thus, this method will throw an IllegalArgumentException, if the memory layout changed between a call to getMemoryLayout() and setData().

Parameters

  data | Data to set
  bitmapLayout | Layout of the data to set. Must match this bitmap's current layout.
  rect | Destination rectangle, within the bounds of the bitmap, to set the data in.

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if parts of the given rectangle are outside the permissible bitmap area.
  com::sun::star::lang::IllegalArgumentException | if the given memory layout does not match this bitmap's layout, or if the given data sequence has too few or too much elements.

## ◆ setPixel()

void setPixel | ( | [in] sequence< float > | color,
|  | [in] FloatingPointBitmapLayout | bitmapLayout,
|  | [in] ::com::sun::star::geometry::IntegerPoint2D | pos
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

Set a single pixel of the bitmap with the given color value.

When setting data on volatile bitmaps, always call isValid() before, and retrieve a new memory layout via getMemoryLayout(). At least under Windows, the memory layout can change for the same bitmap, if the user e.g. switches the screen resolution. Thus, this method will throw an IllegalArgumentException, if the memory layout changed between a call to getMemoryLayout() and setPixel().

Parameters

  color | The color value(s) to set
  bitmapLayout | Layout of the color elements to set. Must match this bitmap's current layout.
  pos | Pixel position with the bounds of the bitmap to set.

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if the given point is outside the permissible bitmap area.
  com::sun::star::lang::IllegalArgumentException | if the given memory layout does not match this bitmap's layout, or if the given data sequence has too few or too much elements.

The documentation for this interface was generated from the following file:

- com/sun/star/rendering/XIeeeFloatBitmap.idl